Bug 1130674

Summary: Review Request: python-pyo - Python digital signal processing module
Product: [Fedora] Fedora Reporter: Eduardo Mayorga <e>
Component: Package ReviewAssignee: Florian "der-flo" Lehner <dev>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: besser82, dev, package-review
Target Milestone: ---Flags: dev: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-pyo-0.6.9-3.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-14 12:03:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Eduardo Mayorga 2014-08-15 23:59:04 UTC
Spec URL: https://mayorga.fedorapeople.org/python-pyo.spec
SRPM URL: https://mayorga.fedorapeople.org/python-pyo-0.6.9-1.fc20.src.rpm
Description: Pyo is a Python module written in C to help DSP script creation. Pyo contains classes for a wide variety of audio signal processing. With pyo, the user will be able to include signal processing chains directly in Python scripts or projects, and to manipulate them in real time through the interpreter. Tools in the pyo module offer primitives, like mathematical operations on audio signals, basic signal processing (filters, delays, synthesis generators, etc.), but also complex algorithms to create sound granulation and other creative audio manipulations. pyo supports the OSC protocol (Open Sound Control) to ease communications between softwares, and the MIDI protocol for generating sound events and controlling process parameters. pyo allows the creation of sophisticated signal processing chains with all the benefits of a mature, and widely used, general programming language.
Fedora Account System Username: mayorga

Comment 1 Florian "der-flo" Lehner 2014-08-18 17:45:54 UTC
[ ] Please add a patch for the licence file
    Just refer to the next version in the commentary is not sufficient
[ ] Building the package failes. Please fix this.
    For more: http://koji.fedoraproject.org/koji/taskinfo?taskID=7409574
[ ] Is there a reason, not to build it with python3?

Please fix those issues and I' ll take a review.

Comment 2 Eduardo Mayorga 2014-08-18 22:08:27 UTC
(In reply to Florian "der-flo" Lehner from comment #1)
> [ ] Please add a patch for the licence file
>     Just refer to the next version in the commentary is not sufficient

Done.

> [ ] Building the package failes. Please fix this.
>     For more: http://koji.fedoraproject.org/koji/taskinfo?taskID=7409574

Done.

> [ ] Is there a reason, not to build it with python3?

It doesn't have support for it yet. The build fails.

Spec URL: https://mayorga.fedorapeople.org/python-pyo.spec
SRPM URL: https://mayorga.fedorapeople.org/python-pyo-0.6.9-2.fc20.src.rpm
Koji build task: http://koji.fedoraproject.org/koji/taskinfo?taskID=7415086

Comment 3 Florian "der-flo" Lehner 2014-08-19 18:33:17 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/lib64/python2.7/site-
  packages/pyo-0.6.9-py2.7.egg-info
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 104 files have unknown
     license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines

   ---> Please fix the issues mentioned above

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python

   ---> Please fix BuildRequires
        https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7428168
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-pyo-0.6.9-2.fc22.x86_64.rpm
          python-pyo-0.6.9-2.fc22.src.rpm
python-pyo.x86_64: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
python-pyo.src: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-pyo
python-pyo.x86_64: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-pyo (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    liblo.so.7()(64bit)
    libportaudio.so.2()(64bit)
    libportmidi.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-pyo:
    python-pyo
    python-pyo(x86-64)



Unversioned so-files
--------------------
python-pyo: /usr/lib64/python2.7/site-packages/_pyo.so

Source checksums
----------------
http://ajaxsoundstudio.com/downloads/pyo_0.6.9-src.tar.bz2 :
  CHECKSUM(SHA256) this package     : 9cbdbe0c596d583f9950cc4063d3f80f363ac1fcc839396eb9a77bd001d3eccf
  CHECKSUM(SHA256) upstream package : 9cbdbe0c596d583f9950cc4063d3f80f363ac1fcc839396eb9a77bd001d3eccf


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1130674
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====

NOT approved.  Please fix those issues and I' ll take another review.

Comment 4 Eduardo Mayorga 2014-08-19 20:17:21 UTC
Spec URL: https://mayorga.fedorapeople.org/python-pyo.spec
SRPM URL: https://mayorga.fedorapeople.org/python-pyo-0.6.9-3.fc20.src.rpm

* Tue Aug 19 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.6.9-3
- Removing duplicated file
- Changing to versioned BR python2-devel

Comment 5 Florian "der-flo" Lehner 2014-08-19 20:38:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 2 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   --->http://koji.fedoraproject.org/koji/taskinfo?taskID=7428497
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-pyo-0.6.9-3.fc22.x86_64.rpm
          python-pyo-0.6.9-3.fc22.src.rpm
python-pyo.x86_64: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
python-pyo.src: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-pyo
python-pyo.x86_64: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-pyo (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    liblo.so.7()(64bit)
    libportaudio.so.2()(64bit)
    libportmidi.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-pyo:
    python-pyo
    python-pyo(x86-64)



Unversioned so-files
--------------------
python-pyo: /usr/lib64/python2.7/site-packages/_pyo.so

Source checksums
----------------
http://ajaxsoundstudio.com/downloads/pyo_0.6.9-src.tar.bz2 :
  CHECKSUM(SHA256) this package     : 9cbdbe0c596d583f9950cc4063d3f80f363ac1fcc839396eb9a77bd001d3eccf
  CHECKSUM(SHA256) upstream package : 9cbdbe0c596d583f9950cc4063d3f80f363ac1fcc839396eb9a77bd001d3eccf


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1130674
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Solution =====

NOT approved.  Please fix those issues and I' ll take another review.

Comment 6 Eduardo Mayorga 2014-08-19 23:31:56 UTC
(In reply to Florian "der-flo" Lehner from comment #5)
> [!]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path.

Are you sure this also apply to Python packages? This shared object is needed at runtime.

Comment 7 Björn 'besser82' Esser 2014-08-20 17:03:29 UTC
(In reply to Eduardo Mayorga from comment #6)
> (In reply to Florian "der-flo" Lehner from comment #5)
> > [!]: Development (unversioned) .so files in -devel subpackage, if present.
> >      Note: Unversioned so-files in private %_libdir subdirectory (see
> >      attachment). Verify they are not in ld path.
> 
> Are you sure this also apply to Python packages? This shared object is
> needed at runtime.

Fully agree to Eduardo in this one…  c-compiled python-modules are always located in a private libdir, like %{python2_sitearch}.  The rule with the devel-pkg applies to *.so directly located in %{_libdir}, only.

Comment 8 Florian "der-flo" Lehner 2014-08-20 17:10:36 UTC
Thanks Bjoern for helping out and correcting me!

I'm sorry for my mistake Eduardo.

Since this was the only point, I approve this package.

Comment 9 Eduardo Mayorga 2014-08-21 00:03:39 UTC
New Package SCM Request
=======================
Package Name: python-pyo
Short Description: Python digital signal processing module
Upstream URL: http://ajaxsoundstudio.com/software/pyo/
Owners: mayorga
Branches: f20 f21 epel7
InitialCC:

Comment 10 Gwyn Ciesla 2014-08-21 12:00:41 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-08-26 05:38:32 UTC
python-pyo-0.6.9-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-pyo-0.6.9-3.fc20

Comment 12 Fedora Update System 2014-08-27 01:34:37 UTC
python-pyo-0.6.9-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 13 Fedora Update System 2014-11-14 12:03:21 UTC
python-pyo-0.6.9-3.fc20 has been pushed to the Fedora 20 stable repository.